﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Pivot.Core.Aggregates;

namespace RadPivotGrid_SL_TimeSpanAggregation
{
    class TimeSpanAggregateValue : AggregateValue
    {
        private TimeSpan time;

        protected override void AccumulateOverride(object value)
        {
            this.time += (TimeSpan)value;
        }

        protected override void MergeOverride(AggregateValue childAggregate)
        {
            this.time += ((TimeSpanAggregateValue)childAggregate).time;
        }

        protected override object GetValueOverride()
        {
            return this.time;
        }
    }
}
